package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF0G9 extends MwfRequest<MWF0G9, MWF0G9Response> {

    @Parameter(name = "LOAN_AMOUNT")
    MWF0G9 loanAmount(Double loanAmount);
    @Parameter(name = "PPI_FLAG")
    MWF0G9 ppiFlag(Long ppiFlag);
    @Parameter(name = "RPMT_TP_ID")
    MWF0G9 rpmtTpId(String rpmtTpId);
    @Parameter(name = "SALES_PROD_TYPE")
    MWF0G9 salesProdType(String salesProdType);
    @Parameter(name = "TERM")
    MWF0G9 term(Long term);
}
